Package wx :: Module html :: Class HtmlLinkInfo

[frames | no frames]

## Type HtmlLinkInfo

    object --+
             |
        Object --+
                 |
                HtmlLinkInfo

Proxy of C++ HtmlLinkInfo class

Method Summary
HtmlLinkInfo | `__init__(self, href, target)`
MouseEvent | `GetEvent(self)`
String | `GetHref(self)`
HtmlCell | `GetHtmlCell(self)`
String | `GetTarget(self)`
| `SetEvent(self, e)`
| `SetHtmlCell(self, e)`

Property Summary
| `Event`: See `GetEvent` and `SetEvent`
| `Href`: See `GetHref`
| `HtmlCell`: See `GetHtmlCell` and `SetHtmlCell`
| `Target`: See `GetTarget`
| `thisown`: The membership flag

Property Details

### Event

See `GetEvent` and `SetEvent`

  Get Method:
    `GetEvent`(self)
  Set Method:
    `SetEvent`(self, e)

### Href

See `GetHref`

  Get Method:
    `GetHref`(self)

### HtmlCell

See `GetHtmlCell` and `SetHtmlCell`

  Get Method:
    `GetHtmlCell`(self)
  Set Method:
    `SetHtmlCell`(self, e)

### Target

See `GetTarget`

  Get Method:
    `GetTarget`(self)

### thisown

The membership flag

  Get Method:
    unknown--1219049460(...)
  Set Method:
    unknown--1219049404(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:14 2007 | http://epydoc.sf.net